nipy (0.4.2-2) unstable; urgency=medium

  * Cherry picked a number of fixes from upstream/PRs to become a part of the
    next release (Closes: #906388)
  * debian/control
    - fixed up Vcs fields to point to salsa

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 10 Jan 2019 11:05:31 -0500

nipy (0.4.2-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/patches
    - dropped changesets - upstreamed
    - deb_no_ipython_console_highlight for now to not require that sphinx
      extension

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 19 Feb 2018 11:06:56 -0500

nipy (0.4.1-2) unstable; urgency=medium

  * Boost statement of policy compliance to 4.1.2
  * Boost debhelper compat from 7 to 9 
    - $@ should come before the options (like --buildsystem=python_distutils)
  * debian/patches
    - picked up few patches from upstream to avoid infinite recursion in sympy

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 18 Dec 2017 10:01:44 -0500

nipy (0.4.1-1) unstable; urgency=medium

  * Fresh upstream release
    - should resolve some failing tests (Closes: #848745)
    - dropping absorbed changeset* patches

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 30 Jul 2017 21:20:58 -0400

nipy (0.4.0+git26-gf8d3149-2) unstable; urgency=medium

  * debian/pathes picked up few fixes from upstream adjusting
    some tests for compatibility
    - 78ced182c4b4583c9a2ed3c1fc01764941560c72
      TST: relax test precision a little for 32-bit
      (replaces "custom" up_relax_assumption patch)
    - 32cb61eab2e92525c2497294d3be40e361507c4e (fixed failing doctest)
    - 751531a2894e69383f75e6a9b97586e74759ab1b
      BF: allow for generic IOError-based exception to be thrown when
      loading non existing file (Closes: #836538)
  * .gitignore, debian/source/options
    - to not ignore .diff files since interfers with helper to CP
      them from upstream

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 04 Sep 2016 10:18:55 -0400

nipy (0.4.0+git26-gf8d3149-1) unstable; urgency=medium

  * New upstream snapshot from 0.4.0-26-gf8d3149
    - various compatibility fixes (Closes: #816983)
  * debian/rules
    - fixed up PATH/invocation of scripts so that manpages generate and
      tests pass

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 03 Aug 2016 22:54:08 -0400

nipy (0.3.0+git262-gbb838d7-1) unstable; urgency=medium

  * New upstream snapshot from 0.3.0-261-ge34a388
  * debian/patches
    - deb_use_internal_ipythonsphinx_extensions -- dropped, upstream uses
      sphinx's copy now
  * debian/upstream moved into debian/upstream/metadata
  * debian/{control,rules}
    - use libjs-underscore for underscore.js

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 03 Oct 2014 16:50:34 -0400

nipy (0.3.0-2) UNRELEASED; urgency=medium

  * debian/patches
    - deb_use_internal_ipythonsphinx_extensions to use sphinx-provided
      inheritance_diagram (Closes: #706532)
    - up_relax_assertion - relax assertion to almost_equal, permittable
      (Closes: #729594)
  * debian/{control,rules}
    - switch away from pysupport
    - policy boost to 3.9.6

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 03 Oct 2014 08:30:13 -0400

nipy (0.3.0-1) unstable; urgency=low

  * New upstream release
  * debian/watch
    - fixed up for the recent github changes
  * debian/rules
    - add scripts/ into PATH while testing and building documentation
    - generate manpages for the scripts

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 03 Feb 2013 11:36:54 -0500

nipy (0.2.0-1) unstable; urgency=low

  * New upstream release: documentation and example improvements and
    functionality fixes since rc2.
  * Updated debian/patches/lucid-dsc-patch-nodoc to build no -doc package
    on older releases

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 22 Jul 2012 10:50:06 -0400

nipy (0.2.0~rc2+git27-g7b9b5a5-1) unstable; urgency=low

  * New upstream pre-release snapshot from origin/master at
    0.2.0rc2-27-g7b9b5a5

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 30 Jun 2012 00:02:45 -0400

nipy (0.2.0~rc2-1) unstable; urgency=low

  * Fresh RC (Closes: #673489)
    - addresses python 2.5 compatibility
  * debian/watch
    - added to fetch from github tags

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 19 Jun 2012 21:03:28 -0400

nipy (0.2.0~rc1+git170-g5d2dc33-1) unstable; urgency=low

  * Yet another development release snapshot not intended for public
    - based on current master 6fc3af4
      with pull requests #171 and #183 merged
  * Boosted policy compliance to 3.9.3 -- no changes
  * debian/copyright: removed obsolete entries, adjusted for DEP5

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 12 May 2012 22:19:00 -0400

nipy (0.2.0~rc1-1) experimental; urgency=low

  * Release candidate
  * Add epoch to versioned depends on numpy (Closes: #658372)
    (Thanks Jakub Wilk for the report and patch)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 30 Apr 2012 11:36:17 -0400

nipy (0.1.999-2) unstable; urgency=low

  * Recommend sympy (thanks Chris Filo Gorgolewski for the report)
  * Respect PYTHONPATH while running tests

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 12 Feb 2012 10:59:44 -0500

nipy (0.1.999-1) unstable; urgency=low

  * Alpha release in preparation for upcoming 0.2.0 release (Closes: #581394)
  * No changes within upstream codebase (Closes: #643225)
  * Do not unittest if nocheck is provided (Closes: #649620)
  * Boosted policy compliance to 3.9.2 -- no changes
  * Patch lucid-dsc-patch-nodoc to avoid trying to build -doc on lucid
    due to the failure to install needed build-depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 27 Nov 2011 22:06:21 -0500

nipy (0.1.2+201100720-2) unstable; urgency=low

  * Merged commits from upstream contributed by Matthew Brett to fix failing
    unittests on big-endians.  Current upstream point:
    upstream/0.1.2+20110404-74-g698b432

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 23 Jul 2011 22:34:15 -0400

nipy (0.1.2+201100720-1) unstable; urgency=low

  * Fresh upstream snapshot: 2c11ae604762105a4adaa46c57e95dc1998485eb
    - might address FTBFS due to tests on some architectures

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 20 Jul 2011 10:01:30 -0400

nipy (0.1.2+20110404-1) unstable; urgency=low

  * Fresh upstream snapshot: c213cc2421686b5485e43db54ec2ac8a5fa06ea6
    - Relies on external nibabel module instead of internal outdated
      copy.  Should close 611316, which would be done upon successfull
      build across the architectures.
  	- Does not use PyNIfTI any longer, so it is removed from *Depends
      now
    - Absorbed all Debian patches
  * No cdbs was used since nearly a year ago -- removed it from Build-Depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 04 Apr 2011 09:54:56 -0400

nipy (0.1.2+20110114-1) unstable; urgency=low

  * Fresh upstream snapshot: 136acf09beff315226e4cfa07066b1f5998e9d5e
    * Carries numpydoc compatible with sphinx >= 1.0 (Closes: #588625)
  * Do not compress objects.inv necessary for intersphinx (Closes: #608763)
  * Added few patches (submitted upstream) to fix building of documentation
    - 0001-make-few-classes-new-style-derive-from-object.patch
    - 0002-make-classes-without-new-style-derive-from-object.patch
    - 0003-import-similarity_measures-as-_sms-in-histogram_regi.patch
  * Adjusted debian/rules:
    - run unittests now against default python version
      on the installed version of nipy.  Skipped unittests due to known
      failures or non-labile tests subject to random data:
  	  test_slice_from_3d, test_screen, test_lips3_disjoint, test_mu2tet,
      test_input_effects, test_same_basis, test_fullrank, test_ec,
  	  test_apply_affine, test_lips1_disjoint, test_dtrsm
    - assure Agg matplotlib backend during documentation build and unittests
  * Added *-dsc-patch-nodbg backport-dsc patches to avoid building of -dbg
    package since python-scipy-dbg is missing on lenny or ubuntu releases
    prior maverick (not sufficient anyways due to other missing versioned
    build-dependencies atm -- matplotlib, sympy)
  * Versioned Build-Dependency sympy >= 0.6.6

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 14 Jan 2011 19:33:28 -0500

nipy (0.1.2+20101206-1) UNRELEASED; urgency=low

  * Fresh upstream snapshot: a0fd6c6c62d91315cdeb8bc81e19f355b12f8013
    Never officially released, thus changelogs moved upstairs

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 13 Jan 2011 21:02:35 -0500

nipy (0.1.2+20100526-2) unstable; urgency=medium

  * Strict version dependency on NumPy to assure ABI compatibility in the
    future (Closes: #590737). Thanks Kumar Appaiah for the reminder.
  * debian/copyright:
    - Added missing copyrights/licenses
    - Adjusted formatting to match DEP5 rev 135
    - Citing BSD-3 license verbatim to be compliant with 3.9.0
  * Boosted policy compliance to 3.9.1 (BSD-3 license verbatim)
  * Medium urgency for faster propagation of RC bug fix into squeeze
  * Added gbp.conf file for easy building using g-b-p

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 06 Aug 2010 11:17:05 -0400

nipy (0.1.2+20100526-1) unstable; urgency=low

  * Fresh upstream snapshot -- needed a new orig.tar.gz since some
    files were moved/removed
  * Switching to dh from cdbs:
    - Assure no documentation is built during binary-arch builds
      (closes: #581204, #581783)
    - Build for all supported Python versions
    - Expanded Build-Depends with all necessary -dbg packages
      (e.g. cython-dbg, python-all-dbg)
    - Added dvipng into Build-Depends for avoiding problems during
      documentation build

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 11 May 2010 21:17:20 -0400

nipy (0.1.2+20100505-1) unstable; urgency=low

  * Fresh upstream snapshot (Closes: #577898). Switching from bzr rev to
    git dated versioning for nipy for now
  * Debian packaging moved to be on top of a newly created
    git repository for nipy upstream
  * Adhering to a new deb source format 3.0 (quilt)
  * Policy compliance to 3.8.4 (no changes due)
  * Switching over to NeuroDebian team
  * -doc: no pdf's for Documentation (removed texlive,
    texlive-latex-extra from Build-Depends) (Closes: #567757)
  * Confirming (and refactoring) NMUs from Kumar (THANKS!):
    + As promised, closing the issue with absent i386 builds (Closes: #562246)
    + Adding both PATH= and MPLCONFIGDIR= for building docs
    + Addressed fortran binding issue with patchless solution:
      unexport of LDFLAGS in debian/rules which brings -shared back
      to game (see #535699 for more information)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 04 May 2010 23:01:12 -0400

nipy (0.1.2+1741-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Use $(CURDIR) instead of $(PWD) in debian/rules. (Closes: #535699)

 -- Kumar Appaiah <akumar@debian.org>  Sun, 31 Jan 2010 08:40:11 -0600

nipy (0.1.2+1741-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS: Tries to write to $HOME during build" using Peter Green's
    patch.
  * In addition, make package buildable by hacking the build system to use
    -shared and -lpython<ver> for all gfortran using modules. (Closes:
    #535699)

 -- Kumar Appaiah <akumar@debian.org>  Sun, 31 Jan 2010 00:40:11 -0600

nipy (0.1.2+1741-2) unstable; urgency=low

  * Adjusted long descriptions to follow the guidelines and to become
    complete sentences with redundant prefixes (closes: #532860)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 12 Jun 2009 16:56:54 -0400

nipy (0.1.2+1741-1) unstable; urgency=low

  * Initial release (Closes: #522353)

 -- Experimental Psychology Maintainers <pkg-exppsy-maintainers@lists.alioth.debian.org>  Tue, 14 Apr 2009 18:21:44 -0400

